[cairo-commit] pycairo ChangeLog,1.216,1.217 autogen.sh,1.4,1.5

Steve Chaplin commit at pdx.freedesktop.org
Sun May 28 20:54:11 PDT 2006


Committed by: stevech1097

Update of /cvs/cairo/pycairo
In directory kemper:/tmp/cvs-serv26461

Modified Files:
	ChangeLog autogen.sh 
Log Message:
'SC'

Index: ChangeLog
===================================================================
RCS file: /cvs/cairo/pycairo/ChangeLog,v
retrieving revision 1.216
retrieving revision 1.217
diff -u -d -r1.216 -r1.217
--- ChangeLog	28 May 2006 02:03:06 -0000	1.216
+++ ChangeLog	29 May 2006 03:54:09 -0000	1.217
@@ -1,3 +1,8 @@
+2006-05-29  Steve Chaplin  <steve1097 # yahoo.com.au>
+
+	* autogen.sh : update by using a (slightly modified) copy of the cairo
+	autogen.sh, fixes bug #7048.
+
 2006-05-28  Steve Chaplin  <steve1097 # yahoo.com.au>
 
 	* examples/cairo_snippets/snippets_pdf.py (do_snippet):

Index: autogen.sh
===================================================================
RCS file: /cvs/cairo/pycairo/autogen.sh,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -d -r1.4 -r1.5
--- autogen.sh	16 May 2005 01:04:34 -0000	1.4
+++ autogen.sh	29 May 2006 03:54:09 -0000	1.5
@@ -1,107 +1,174 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+set -e
 
-srcdir=`dirname $0`
+PACKAGE=Pycairo
+
+LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
+LIBTOOLIZE_FLAGS="--copy --force"
+AUTOHEADER=${AUTOHEADER-autoheader}
+AUTOMAKE_FLAGS="--add-missing --foreign"
+AUTOCONF=${AUTOCONF-autoconf}
+
+automake_min_vers=1.9
+aclocal_min_vers=$automake_min_vers
+autoconf_min_vers=2.59
+libtoolize_min_vers=1.4
+
+# The awk-based string->number conversion we use needs a C locale to work
+# as expected. Setting LC_ALL overrides whether the user set LC_ALL,
+# LC_NUMERIC, or LANG.
+LC_ALL=C
+
+ARGV0=$0
+
+# Allow invocation from a separate build directory; in that case, we change
+# to the source directory to run the auto*, then change back before running configure
+srcdir=`dirname $ARGV0`
 test -z "$srcdir" && srcdir=.
 
 ORIGDIR=`pwd`
-cd $srcdir
-PROJECT=Pycairo
-TEST_TYPE=-d
-FILE=cairo
 
-DIE=0
+cd $srcdir
 
-test -z "$AUTOCONF" && AUTOCONF=autoconf
-test -z "$AUTOHEADER" && AUTOHEADER=autoheader
-test -z "$LIBTOOL" && LIBTOOL=libtool
-test -z "$LIBTOOLIZE" && LIBTOOLIZE=libtoolize
+if ($AUTOCONF --version) < /dev/null > /dev/null 2>&1 ; then
+    if ($AUTOCONF --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$autoconf_min_vers') \
+			       exit 1; exit 0; }');
+    then
+       echo "$ARGV0: ERROR: \`$AUTOCONF' is too old."
+       $AUTOCONF --version
+       echo "           (version $autoconf_min_vers or newer is required)"
+       DIE="yes"
+    fi
+else
+    echo $AUTOCONF: command not found
+    echo
+    echo "$ARGV0: ERROR: You must have \`autoconf' installed to compile $PACKAGE."
+    echo "           (version $autoconf_min_vers or newer is required)"
+    DIE="yes"
+fi
 
-($AUTOCONF --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "You must have autoconf installed to compile $PROJECT."
-	echo "Download the appropriate package for your distribution,"
-	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
-	DIE=1
-}
+#
+# Hunt for an appropriate version of automake and aclocal; we can't
+# assume that 'automake' is necessarily the most recent installed version
+#
+# We check automake first to allow it to be a newer version than we know about.
+#
+if test x"$AUTOMAKE" = x || test x"$ACLOCAL" = x ; then
+  am_ver=""
+  for ver in "" "-1.9" ; do
+    am="automake$ver"
+    if ($am --version) < /dev/null > /dev/null 2>&1 ; then
+      if ($am --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$automake_min_vers') \
+	  		 exit 1; exit 0; }'); then : ; else
+         am_ver=$ver
+         break;
+      fi
+    fi
+  done
 
-($LIBTOOL --version) < /dev/null > /dev/null 2>&1 || {
-        echo
-        echo "You must have libtool installed to compile $PROJECT."
-        echo "Get ftp://ftp.gnu.org/gnu/libtool/libtool-1.4.tar.gz"
-        echo "(or a newer version if it is available)"
-        DIE=1
-}
+  AUTOMAKE=${AUTOMAKE-automake$am_ver}
+  ACLOCAL=${ACLOCAL-aclocal$am_ver}
+fi
 
-if test -z "$AUTOMAKE"; then
-  if automake --version < /dev/null > /dev/null 2>&1; then
-    AUTOMAKE=automake
-    ACLOCAL=aclocal
+#
+# Now repeat the tests with the copies we decided upon and error out if they
+# aren't sufficiently new.
+#
+if ($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 ; then
+  if ($AUTOMAKE --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$automake_min_vers') \
+			     exit 1; exit 0; }');
+     then
+     echo "$ARGV0: ERROR: \`$AUTOMAKE' is too old."
+     $AUTOMAKE --version
+     echo "           (version $automake_min_vers or newer is required)"
+     DIE="yes"
+  fi
+  if ($ACLOCAL --version) < /dev/null > /dev/null 2>&1; then
+    if ($ACLOCAL --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$aclocal_min_vers' ) \
+						exit 1; exit 0; }' );
+    then
+      echo "$ARGV0: ERROR: \`$ACLOCAL' is too old."
+      $ACLOCAL --version
+      echo "           (version $aclocal_min_vers or newer is required)"
+      DIE="yes"
+    fi
   else
+    echo $ACLOCAL: command not found
     echo
-    echo "You must have automake installed to compile $PROJECT."
-    echo "See ftp://ftp.gnu.org/pub/gnu/automake/"
-    DIE=1
+    echo "$ARGV0: ERROR: Missing \`$ACLOCAL'"
+    echo "           The version of $AUTOMAKE installed doesn't appear recent enough."
+    DIE="yes"
   fi
+else
+    echo $AUTOMAKE: command not found
+    echo
+    echo "$ARGV0: ERROR: You must have \`automake' installed to compile $PACKAGE."
+    echo "           (version $automake_min_vers or newer is required)"
+    DIE="yes"
 fi
 
-if test "$DIE" -eq 1; then
-	exit 1
+if ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 ; then
+    if ($LIBTOOLIZE --version | awk 'NR==1 { if( $4 >= '$libtoolize_min_vers') \
+			       exit 1; exit 0; }');
+    then
+       echo "$ARGV0: ERROR: \`$LIBTOOLIZE' is too old."
+       echo "           (version $libtoolize_min_vers or newer is required)"
+       DIE="yes"
+    fi
+else
+    echo $LIBTOOLIZE: command not found
+    echo
+    echo "$ARGV0: ERROR: You must have \`libtoolize' installed to compile $PACKAGE."
+    echo "           (version $libtoolize_min_vers or newer is required)"
+    DIE="yes"
 fi
 
-test $TEST_TYPE $FILE || {
-	echo "You must run this script in the top-level $PROJECT directory"
-	exit 1
-}
-
-if test -z "$*"; then
-	echo "I am going to run ./configure with no arguments - if you wish "
-        echo "to pass any to it, please specify them on the $0 command line."
+if test -z "$ACLOCAL_FLAGS"; then
+    acdir=`$ACLOCAL --print-ac-dir`
+    if [ ! -f $acdir/pkg.m4 ]; then
+	echo "$ARGV0: Error: Could not find pkg-config macros."
+	echo "        (Looked in $acdir/pkg.m4)"
+	echo "        If pkg.m4 is available in /another/directory, please set"
+	echo "        ACLOCAL_FLAGS=\"-I /another/directory\""
+	echo "        Otherwise, please install pkg-config."
+	echo ""
+	echo "pkg-config is available from:"
+	echo "http://www.freedesktop.org/software/pkgconfig/"
+	DIE=yes
+    fi
 fi
 
-case $CC in
-*xlc | *xlc\ * | *lcc | *lcc\ *) am_opt=--include-deps;;
-esac
-
-if test -z "$ACLOCAL_FLAGS"; then
+if test "X$DIE" != X; then
+  exit 1
+fi
 
-	acdir=`$ACLOCAL --print-ac-dir`
-        m4list="glib-2.0.m4 gtk-2.0.m4 gettext.m4"
 
-	for file in $m4list
-	do
-		if [ ! -f "$acdir/$file" ]; then
-			echo "WARNING: aclocal's directory is $acdir, but..."
-			echo "         no file $acdir/$file"
-			echo "         You may see fatal macro warnings below."
-			echo "         If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
-			echo "         environment variable to \"-I /some/dir\", or install"
-			echo "         $acdir/$file."
-			echo ""
-		fi
-	done
+if test -z "$*"; then
+  echo "$ARGV0:	Note: \`./configure' will be run with no arguments."
+  echo "		If you wish to pass any to it, please specify them on the"
+  echo "		\`$0' command line."
+  echo
 fi
 
-#echo "Running gettextize...  Ignore non-fatal messages."
-# Hmm, we specify --force here, since otherwise things dont'
-# get added reliably, but we don't want to overwrite intl
-# while making dist.
-#echo "no" | gettextize --copy --force
+do_cmd() {
+    echo "$ARGV0: running \`$@'"
+    $@
+}
 
-$ACLOCAL $ACLOCAL_FLAGS
+do_cmd $LIBTOOLIZE $LIBTOOLIZE_FLAGS
 
-# optionally feature autoheader
-($AUTOHEADER --version)  < /dev/null > /dev/null 2>&1 && $AUTOHEADER
+do_cmd $ACLOCAL $ACLOCAL_FLAGS
 
-# run libtoolize ...
-$LIBTOOLIZE --force
+do_cmd $AUTOHEADER
 
-$AUTOMAKE -a $am_opt
-$AUTOHEADER
-$AUTOCONF
-cd $ORIGDIR
+do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
 
-$srcdir/configure --enable-maintainer-mode "$@"
+do_cmd $AUTOCONF
 
-echo 
-echo "Now type 'make' to compile $PROJECT."
+cd $ORIGDIR || exit 1
+
+# don't use 'do_cmd' since it prevents
+# './autogen.sh --prefix=/usr CFLAGS="$CFLAGS -Werror"'  from working
+#do_cmd $srcdir/configure --enable-maintainer-mode ${1+"$@"} && echo "Now type \`make' to compile" || exit 1
+$srcdir/configure --enable-maintainer-mode ${1+"$@"} && echo "Now type \`make' to compile" || exit 1



More information about the cairo-commit mailing list